# class Tk::Tile::TEntry

### Constants

TkCommandNames
WidgetClassName

### Public Class Methods

style(*args) click to toggle source

    # File lib/tkextlib/tile/tentry.rb, line 43
    def self.style(*args)
      [self::WidgetClassName, *(args.map!{|a| _get_eval_string(a)})].join('.')
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__boolval_optkeys

    # File lib/tkextlib/tile/tentry.rb, line 33
    def __boolval_optkeys
      super() << 'exportselection'
    end

__optkey_aliases() click to toggle source

    # File lib/tkextlib/tile/tentry.rb, line 28
    def __optkey_aliases
      {:vcmd=>:validatecommand, :invcmd=>:invalidcommand}
    end

__strval_optkeys() click to toggle source
Calls superclass method Tk::Entry#__strval_optkeys

    # File lib/tkextlib/tile/tentry.rb, line 38
    def __strval_optkeys
      super() << 'show'
    end